---
title: mq authorization
keywords: documentation
layout: documentation
sidebar: mq_config_sidebar
toc: false
---
## Overview

This resource allows you to manage a MQ autorizations.

Here is an example on how you should use this:

    mq_authorization { "group/mymqgroup->MYQM1/qmgr/self":
      ensure    => 'present',
      authority => ['allmqi', 'dlt', 'chg', 'dsp', 'ctrl', 'system'],
    }

## Attributes



Attribute Name                               | Short Description                                                 |
-------------------------------------------- | ----------------------------------------------------------------- |
[authority](#mq_authorization_authority)     | The authority given to specfied user or group on specfied object. |
[ensure](#mq_authorization_ensure)           | The basic property that the resource should be in.                |
[entity](#mq_authorization_entity)           | The specfied entity you want to authorize.                        |
[entity_type](#mq_authorization_entity_type) | The specfied entity type.                                         |
[mq_type](#mq_authorization_mq_type)         | 
                                                                 |
[name](#mq_authorization_name)               | The full name of the object which security you want to manage.    |
[profile](#mq_authorization_profile)         | 
                                                                 |
[provider](#mq_authorization_provider)       | resource.                                                         |
[qmgr](#mq_authorization_qmgr)               | 
                                                                 |




### authority<a name='mq_authorization_authority'>

The authority given to specfied user or group on specfied object.

You **MUST** specfify the indivdual authorities. The generic authorities

- all
- alladm
- allmqi
- system

Are **NOT** supported at this point in time.



[Back to overview of mq_authorization](#attributes)

### ensure<a name='mq_authorization_ensure'>

The basic property that the resource should be in.

Valid values are `present`, `absent`. 

[Back to overview of mq_authorization](#attributes)

### entity<a name='mq_authorization_entity'>

The specfied entity you want to authorize.



[Back to overview of mq_authorization](#attributes)

### entity_type<a name='mq_authorization_entity_type'>

The specfied entity type. You want ot authorize

Valid values are `principal`, `group`. 

[Back to overview of mq_authorization](#attributes)

### mq_type<a name='mq_authorization_mq_type'>



Valid values are `authinfo`, `channel`, `chl`, `clntconn`, `clcn`, `comminfo`, `listener`, `lstr`, `namelist`, `nl`, `process`, `prcs`, `queue`, `q`, `qmgr`, `rqmname`, `rqmn`, `service`, `srvc`, `topic`, `topic`. 

[Back to overview of mq_authorization](#attributes)

### name<a name='mq_authorization_name'>

The full name of the object which security you want to manage.
The full name constists of the name of the Queue manager, a slash and then the
name of the object. Here is an example:

    QMGR1/MY.FIRST.CHANNEL



[Back to overview of mq_authorization](#attributes)

### profile<a name='mq_authorization_profile'>





[Back to overview of mq_authorization](#attributes)

### provider<a name='mq_authorization_provider'>

The specific backend to use for this `mq_authorization`
resource. You will seldom need to specify this --- Puppet will usually
discover the appropriate provider for your platform.Available providers are:

simple
: Manage MQ Authorizations



[Back to overview of mq_authorization](#attributes)

### qmgr<a name='mq_authorization_qmgr'>





[Back to overview of mq_authorization](#attributes)
